Page Summary
-
Register a Merchant Center account to receive pubsub notifications, without specifying a cloud topic name in the request.
-
Use the provided HTTP request with the merchant ID to update Pubsub notification settings.
-
The request and response bodies utilize the PubsubNotificationSettings data structure.
-
Authorization requires the
https://www.googleapis.com/auth/contentOAuth scope.
Register a Merchant Center account for pubsub notifications. Note that cloud topic name shouldn't be provided as part of the request.
HTTP request
PUT https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/pubsubnotificationsettings
Path parameters
| Parameters | |
|---|---|
merchantId |
The ID of the account. |
Request body
The request body contains an instance of PubsubNotificationSettings.
Response body
If successful, the response body contains an instance of PubsubNotificationSettings.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/content
For more information, see the OAuth 2.0 Overview.